SRT-LIVE-TRANSMIT(1)

NAME
srt-live-transmit - SRT sample application to transmit live streaming

SYNOPSIS
srt-live-transmit [options] <input-uri> <output-uri>

DESCRIPTION
SRT sample application to transmit live streaming. Built with SRT Library version: 1.5.6 SRT Library version: 1.5.6, clock type: GETTIME_MONOTONIC

-t, -timeout, -to:<timeout=0> - exit timer in seconds

-timeout-mode, -tm:<mode=0> - timeout mode (0 - since app start; 1 - like 0, but cancel on connect

-a, -auto, -autoreconnect:<enabled=yes> - auto-reconnect mode {yes, no}

-c, -chunk:<chunk=1456> - max size of data read in one step, that can fit one SRT packet

-bandwidth-report, -bitrate-report, -bwreport, -r, -report:<every_n_packets=0> - bandwidth report frequency

-sourcetime, -srctime, -st:<enabled=yes> - Pass packet time from source to SRT output {yes, no}

-buffering:<packets=n> - Buffer up to n incoming packets

-s, -stats, -stats-report-frequency:<every_n_packets=0> - frequency of status report

-statsout:<filename> - output stats to file

-pf, -statspf:<format=default> - stats printing format {json, csv, default}

-f, -fullstats - full counters in stats-report (prints total statistics)

-ll, -loglevel:<level=warn> - log level {fatal,error,warn,note,info,debug}

-lfa, -logfa:<fas> - log functional area (see '-h logging' for more info)

-logfile:<filename=> - write logs to file

-q, -quiet - quiet mode (default off)

-v, -verbose - verbose mode (default off)

-h,-help - show this help (use '-h logging' for logging system)

-version - print SRT library version

<input-uri>
    - URI specifying a medium to read from

    <output-uri> - URI specifying a medium to write to

URI syntax: SCHEME://HOST:PORT/PATH?PARAM1=VALUE&PARAM2=VALUE... Supported schemes:

    srt: use HOST, PORT, and PARAM for setting socket options udp: use HOST, PORT and PARAM for some UDP specific settings file: only as file://con for using stdin or stdout